Library
Replace Library Item File
Replace a file on an existing library item by filename.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
item_id*string
Format
uuidfile_name*string
Request Body
multipart/form-data
file*file
Format
binaryResponse Body
application/json
application/json
application/json
curl -X PUT "https://api.fastfold.ai/v1/library/497f6eca-6276-4993-bfeb-53cbbbba6f08/files/string" \ -F file="string"{
"item": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"type": "file",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"fileType": "string",
"origin": "string",
"size": 0,
"metadata": {},
"children": [
{}
],
"colorHex": "string"
},
"replaced": {
"oldFileName": "string",
"newFileName": "string",
"newS3Key": "string",
"bytes": 0,
"sha256": "string",
"etag": "string",
"versionId": "string"
}
}{
"message": "string"
}{
"message": "string"
}Last updated on